summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/chains/0035policy_variable_0
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/chains/0035policy_variable_0')
-rwxr-xr-xtests/shell/testcases/chains/0035policy_variable_017
1 files changed, 17 insertions, 0 deletions
diff --git a/tests/shell/testcases/chains/0035policy_variable_0 b/tests/shell/testcases/chains/0035policy_variable_0
new file mode 100755
index 00000000..b88e9680
--- /dev/null
+++ b/tests/shell/testcases/chains/0035policy_variable_0
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+# Tests use of variables in chain policy
+
+set -e
+
+RULESET="
+define default_policy = \"accept\"
+
+table inet global {
+ chain prerouting {
+ type filter hook prerouting priority filter
+ policy \$default_policy
+ }
+}"
+
+$NFT -f - <<< "$RULESET"